New Search

Microsoft Compatibility Appraiser Elevation of Privilege Vulnerability - CVE-2019-1267

oval:org.cisecurity:def:6382

An elevation of privilege vulnerability exists in Microsoft Compatibility Appraiser where a configuration file with local privileges is vulnerable to symbolic link and hard link attacks. An attacker who successfully exploited this vulnerability could run processes in an elevated context. An attacker could then install programs; view change or delete data. To exploit this vulnerability an attacker would first have to log on to the system. An attacker could then run a specially crafted application that could exploit the vulnerability and take control of an affected system. The security update addresses the vulnerability by writing the file to a location with an appropriate Access Control List.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2016
  • Microsoft Windows 10
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows 8.1
  • Microsoft Windows 7
  • Microsoft Windows Server 2019
Class:
vulnerability
Reference(s):
  • CVE-2019-1267
  • MSRC-CVE-2019-1267
  • KB4516033
  • KB4516064
  • KB4516070
  • KB4516044
  • KB4516068
  • KB4516066
  • KB4516058
  • KB4512578
  • KB4515384
Product(s):